<?php

/*
 * Smarty plugin
 * -------------------------------------------------------------
 * Type:     function
 * Name:     assign_array
 * Purpose:  assign an array to a template variable
 * Author: Pavel Reich <pavel@itpremium.com>
 * -------------------------------------------------------------
 */
function smarty_function_assign_array($params, &$smarty)
{
    extract($params);

    if (empty($var)) {
        $smarty->trigger_error("assign: missing 'var' parameter");
        return;
    }

    if (!in_array('value', array_keys($params))) {
        $smarty->trigger_error("assign: missing 'value' parameter");
        return;
    }
		$delim = ($delim) ? $delim : ",";
    $smarty->assign($var, preg_split("/$delim/", $value));
}

/* vim: set expandtab: */

?>