<?
  require_once ("common.php");

  checkLogged ();

  // check admnin if there is no available reports
  if ($config ["allow_user_overview"] == 1 || 
     $config ["allow_user_screenshots"] == 1 ||
      $config ["allow_user_details"] == 1 ||
      $config ["allow_user_titles"] == 1
    ) {
  } else {
    checkAdmin ();
  }

  // detailed settings
  $show = $_REQUEST ["show"];
  if (strlen ($show) > 0) {
  } else {
    $show = "overview";
  }

  $smarty->assign("show_salary", "1");
  $smarty->assign("show_screenshots", "1");
  $smarty->assign("show_titles", "1");
  if((int) $_POST["exportflag"] == 1) {
    $show = "exportview";
    $export = true;
    $smarty->assign("show_salary", (int) $_POST["salary"]);
    $smarty->assign("show_screenshots", (int) $_POST["screenshots"]);
    $smarty->assign("show_titles", (int) $_POST["titles"]);

    $menuitems = array(
      array("name" => "Overview", "url" => "overview"),
      array("name" => "Details", "url" => "details"),
    );
    if((int) $_POST["screenshots"] > 0) 
    $menuitems[] = array("name" => "Screenshots", "url" => "screenshots");
    if((int) $_POST["titles"] > 0) 
    $menuitems[] = array("name" => "Titles", "url" => "titles");
    $smarty->assign("menuitems", $menuitems);
  } else $export = false;
  //$export = ($show == "exportview");

  // looking for available report
  if (!$isAdmin) {
    if (!($config ["allow_user_$show"] == 1)) {
      if ($config ["allow_user_titles"] == 1) $show = "titles";
      if ($config ["allow_user_details"] == 1) $show = "details";
      if ($config ["allow_user_screenshots"] == 1) $show = "screenshots";
      if ($config ["allow_user_overview"] == 1) $show = "overview";   
    }
  }

  $smarty->assign ("show", $show);

  $dpm = array (0, 31, 29, 31, 30, 31, 30, 31, 31, 30, 31, 30, 31);

  $today = getdate(); 
  $curMonth = (int) $today['mon']; 
  $curYear = (int) $today['year']; 

  if(!($curYear % 4 == 0 && ($curYear % 100 > 0 || $curYear % 400 == 0)))  {
   // check if the current year is leap or not
   $dpm[2] = 28;
  }

  // date settings
  if ($detailed) {
    $dateFromAr = explode (":", date ("H:i:s:d:m:Y", time()-86400));
    $dateToAr = explode (":", date ("H:i:s:d:m:Y", time()));
  } else {
    $dateFromAr = explode (":", date ("H:i:s:d:m:Y", time()));
    $dateFromAr [0] = 0;
    $dateFromAr [1] = 0;
    $dateFromAr [2] = 0;
    $dateFromAr [3] = 1;
    $dateToAr = explode (":", date ("H:i:s:d:m:Y", time()));
    $dateToAr [0] = 23;
    $dateToAr [1] = 59;
    $dateToAr [2] = 59;
    $dateToAr [3] = $dpm [(int)$dateToAr [4]];
  }
   $fromDay =   (strlen($_REQUEST ["from_day"]  ) > 0) ? $_REQUEST ["from_day"]   : $dateFromAr [3];
   $fromMonth = (strlen($_REQUEST ["from_month"]) > 0) ? $_REQUEST ["from_month"] : $dateFromAr [4];
   $fromYear =  (strlen($_REQUEST ["from_year"] ) > 0) ? $_REQUEST ["from_year"]  : $dateFromAr [5];
   $fromHour =  (strlen($_REQUEST ["from_hour"] ) > 0) ? $_REQUEST ["from_hour"]  : $dateFromAr [0];
   $fromMin =   (strlen($_REQUEST ["from_min"]  ) > 0) ? $_REQUEST ["from_min"]   : $dateFromAr [1];
   $fromSec =   0;
   $toDay =     (strlen($_REQUEST ["to_day"]    ) > 0) ? $_REQUEST ["to_day"]     : $dateToAr [3];
   $toMonth =   (strlen($_REQUEST ["to_month"]  ) > 0) ? $_REQUEST ["to_month"]   : $dateToAr [4];
   $toYear =    (strlen($_REQUEST ["to_year"]   ) > 0) ? $_REQUEST ["to_year"]    : $dateToAr [5];
   $toHour =    (strlen($_REQUEST ["to_hour"]   ) > 0) ? $_REQUEST ["to_hour"]    : $dateToAr [0];
   $toMin =     (strlen($_REQUEST ["to_min"]    ) > 0) ? $_REQUEST ["to_min"]     : $dateToAr [1];
   $toSec =     0;

  
  $smarty->assign ("from_day", $fromDay);
  $smarty->assign ("from_month", $fromMonth);
  $smarty->assign ("from_year", $fromYear);
  $smarty->assign ("from_hour", $fromHour);
  $smarty->assign ("from_min", $fromMin);
  $smarty->assign ("to_day", $toDay);
  $smarty->assign ("to_month", $toMonth);
  $smarty->assign ("to_year", $toYear);
  $smarty->assign ("to_hour", $toHour);
  $smarty->assign ("to_min", $toMin);

  $hourApart = date ("H", 0) * 3600;

  $timeFrom = mktime ($fromHour, $fromMin, $fromSec, $fromMonth, $fromDay, $fromYear);
  $timeTo = mktime ($toHour, $toMin, $toSec, $toMonth, $toDay, $toYear);

  // dollarzz
  $q = "select * from worktime_dollarzz";
  useDatabase ("itw");
  $rs = $db->sql_query ($q);
  $dollarzz = $db->sql_fetchrowset ($rs);
  $db->sql_freeresult ($rs);

  // looking for available users in specified period
  $q = "select distinct(userid) from worktime_record where wh>=$timeFrom and wh<=$timeTo";
  useDatabase ("itw");
  $rs = $db->sql_query ($q);
  $r = $db->sql_fetchrowset ($rs);
  $db->sql_freeresult ($rs);
  $userIds = array ();
  foreach ($r as $i) {
    $userIds[] = $i ["userid"];
  }

  if ($isAdmin) {
    $q = "select * from profiles where userid in (".join(",", $userIds).") order by realname";
  } else {
    $q = "select * from profiles where userid=" . $profile ["userid"]; 
  }
  useDatabase ("bug");
  $rs = $db->sql_query ($q);
  $users = $db->sql_fetchrowset ($rs);
  $db->sql_freeresult ($rs);

  $selectedUsers = array ();
  $name_mode = (int) $_POST["name_mode"];
  if($show != "exportview") $name_mode = 0;
  foreach ($users as $k => $u) {
    if($name_mode == 3) {
      $users[$k]["realname"] = "Employee #" . $users[$k]["userid"];
    } elseif($name_mode == 2) {
      $realname = $users[$k]["realname"];
      $parts = split(" ", $realname);
      $realname = trim($parts[1]);
      $users[$k]["realname"] = $realname;
      if(empty($realname))
      $users[$k]["realname"] = "Employee #" . $users[$k]["userid"];
    } elseif($name_mode == 1) {
      $realname = $users[$k]["realname"];
      $parts = split(" ", $realname);
      $realname = trim($parts[0]);
      $users[$k]["realname"] = $realname;
      if(empty($realname))
      $users[$k]["realname"] = "Employee #" . $users[$k]["userid"];
    }

    if (count ($_REQUEST ["users"]) > 0 && in_array ($u ["userid"], $_REQUEST ["users"])) {
      $users [$k] ["selected"] = true;
      $users [$k] ["show_selected"] = true;
      $selectedUsers[] = $users [$k] ["userid"];
    } else if (!(count ($_REQUEST ["users"]) > 0)) {
      $users [$k] ["selected"] = true;
      $selectedUsers[] = $users [$k] ["userid"];
    }
  }

  // looking for available bugs for selected users in specified period
  $q = "select distinct(bug_id) from worktime_record where userid in (".join(",", $selectedUsers).") and wh>=$timeFrom and wh<=$timeTo";
  useDatabase ("itw");
  $rs = $db->sql_query ($q);
  $r = $db->sql_fetchrowset ($rs);
  $db->sql_freeresult ($rs);
  $bugIds = array ();
  foreach ($r as $i) {
    $bugIds[] = $i ["bug_id"];
  }

  // looking for bug names, components and products
  $q = "select bug_id, short_desc, component, product as product from bugs ".
      " where bug_id in (".join(",", $bugIds).") group by bug_id order by bug_id"; 
  useDatabase ("bug");
  $rs = $db->sql_query ($q);
  $bugs = $db->sql_fetchrowset ($rs);
  $db->sql_freeresult ($rs);

  // select products, components, bugs
  $components = array ();
  $products = array ();

  $selectedBug = array();
  $showBugs = array ();
  foreach ($bugs as $k => $bug) {
    // append to products list
    if (!is_array ($products [$bug ["product"]])) { 
      $products [$bug ["product"]] = array ();
      $products [$bug ["product"]] ["title"] = $bug ["product"];
      $products [$bug ["product"]] ["id"] = $bug ["product"];
      $products [$bug ["product"]] ["selected"] = true;
      $products [$bug ["product"]] ["bugs"] = array ();
      if (count ($_REQUEST ["products"]) > 0) {
        if (in_array ($bug ["product"], $_REQUEST ["products"]))  {
          $products [$bug ["product"]] ["show_selected"] = true;
        }
      }
    }
    $products [$bug ["product"]] ["bugs"] [] = $bug ["bug_id"];
    if (count ($_REQUEST ["products"]) > 0 && !in_array ($bug ["product"], $_REQUEST ["products"])) {
      continue;
    }

    // append to components list
    if (!is_array ($components [$bug["product"] . ":" . $bug ["component"]])) {
      $components [$bug["product"] . ":" . $bug ["component"]] ["title"] = $bug ["component"];
      $components [$bug["product"] . ":" . $bug ["component"]] ["id"] = $bug["product"] . ":" . $bug ["component"];
      $components [$bug["product"] . ":" . $bug ["component"]] ["bugs"] = array ();
      $components [$bug["product"] . ":" . $bug ["component"]] ["selected"] = true;
      if (count ($_REQUEST ["components"]) > 0) {
        if (in_array ($bug["product"] . ":" . $bug ["component"], $_REQUEST ["components"]))  {
          $components [$bug["product"] . ":" . $bug ["component"]] ["show_selected"] = true;
        }
      }
    }
    $components [$bug["product"] . ":" . $bug ["component"]] ["bugs"] [] = $bug ["bug_id"];
    if (count ($_REQUEST ["components"]) > 0 && !in_array ($bug["product"] . ":" . $bug ["component"], $_REQUEST ["components"])) {
      continue;
    }

    if (count ($_REQUEST ["bugs"]) > 0 && !in_array ($bug ["bug_id"], $_REQUEST ["bugs"])) {
      continue;
    }

    $bugs [$k] ["selected"] = true;
    $selectedBugs [$bug ["bug_id"]] = $bug;
    if (count ($_REQUEST ["bugs"]) > 0 && in_array ($bug ["bug_id"], $_REQUEST ["bugs"])) {
      $selectedBugs [$bug ["bug_id"]] ["show_selected"] = true;
    }
  }
  ksort ($products);
  ksort ($components);
  $smarty->assign ("products", $products);
  $smarty->assign ("components", $components);
  $smarty->assign ("bugs", $selectedBugs);

  if (count ($selectedBugs) > 0) {
    $whereBugs = " bug_id in (".join(",", array_keys($selectedBugs)).") and ";
  } else {
    $whereBugs = "";
  }

  // summaries
  if ($show == "overview" || $export) {
    $dates = array ();
    for ($t=$timeFrom; $t<$timeTo; $t += 86400) {
      $da = explode (":", date ("d:m", $t));
      $dates[] = array ("title" => $da [0], "sum" => 0, "dollarzz" => 0);
    }
    $allSum = 0;
    $allDollarzz = 0;
  }

  useDatabase ("itw");
  foreach ($users as $k => $u) {
    if ($users [$k] ["selected"]) {
      if ($show == "overview" || $export) {
        $users [$k] ["intervals"] = array ();
        $users [$k] ["sum"] = 0;
        $users [$k] ["dollarzz"] = 0;

        for ($t=$timeFrom; $t<$timeTo; $t += 86400) {
          $users [$k] ["intervals"][] = array ("worktime" => null, "dollarzz" => 0);
        }

          $q = "select count(*) as n, floor((wh+$hourApart)/86400) as t from worktime_record where $whereBugs userid={$u['userid']} and wh>=$timeFrom and wh<$timeTo group by t";
          $rs = $db->sql_query ($q);
          $r = $db->sql_fetchrowset ($rs);
          $db->sql_freeresult ($rs);

        if (is_array ($r)) {
          foreach ($r as $i) {
            $workTime = $i ["n"] * $mainConfig ["data_interval"] / 3600;
            $dt = $i ["t"] - floor($timeFrom/86400) - 1;
            $users [$k] ["intervals"][$dt] = array ("n" => $workTime,
                                       "href" => "report.php?show=screenshots".
                                              "&users[]={$u['userid']}".
                                              "&" . join("&", formDateArray ($i ["t"] * 86400 - $hourApart, "from_")) .
                                                "&" . join("&", formDateArray (($i ["t"] + 1) * 86400 - $hourApart, "to_")) ,
                                    );
            $users [$k] ["sum"] += $workTime;
            $dates [$dt] ["sum"] += $workTime;
            $allSum += $workTime;
            $zp = getZp ($u["userid"], $i ["t"] * 86400);
            $users [$k] ["dollarzz"] += $workTime * $zp;
            $dates [$dt] ["dollarzz"] += $workTime * $zp;
            $allDollarzz += $workTime * $zp;
          }
        }
      }

      if ($show == "screenshots" || $export) {
            $q = "select * from worktime_record where $whereBugs userid={$u['userid']} and wh>=$timeFrom and wh<$timeTo";
            $rs = $db->sql_query ($q);
            $r = $db->sql_fetchrowset ($rs);  
            $db->sql_freeresult ($rs);

        if (count($r) > 0) {
          $intervals = array ();
          foreach ($r as $i) {
            $intervals [$i["wh"]] = $i;
          }

          $infoLines = array ();
          for ($hour = floor ($timeFrom/3600); $hour<=floor ($timeTo/3600); $hour++) {
            $activeHour = false;
            for ($i=0; $i<6; $i++) {
              $hourData [$i] = array ();
              $hourData [$i] ["keyboard"] = 0;
              $hourData [$i] ["mouse"] = 0;
              for ($j=0; $j<10; $j++) {
                $ki = $hour * 3600 + $i*600 + $j * 60;
                if (is_array ($intervals[$ki])) {
                    $intervalInfo = $intervals [$ki];
                    $active = (strlen ($intervalInfo ["ip"]) > 0) ? 1 : false;
                    if ($active) {
                    $activeHour = true;
                      $hourData [$i] ["active"] = true;
                      $hourData [$i] ["data"] [$j] ["active"] = true;
                    }
                    $hourData [$i] ["keyboard"] += $intervalInfo ["activity_keyboard"];
                    $hourData [$i] ["mouse"] += $intervalInfo ["activity_mouse"];
                    $bugInfo = getBugInfo($intervalInfo["bug_id"]);
                    $memoText = trim(getTitle($intervalInfo["memo_sid"]));
                    $hourData [$i] ["alt"] = "[" . $bugInfo["product"] . "] [" . $bugInfo["component"] . "] " . $bugInfo["short_desc"] . (empty($memoText) ? "" : (" - " . $memoText));
                    $hourData [$i] ["data"] [$j] = array ("active" => $active,
                                            "keyboard" => $intervalInfo ["activity_keyboard"],
                                                                "mouse" => $intervalInfo ["activity_mouse"],
                                              "ip" => $intervalInfo ["ip"],
                                              "bug" => $bugInfo["short_desc"],
                                              "memo" => getTitle($intervalInfo["memo_sid"]),
                                              "window_title" => getTitle($intervalInfo["window_title_sid"]),
                                              "module_name" => getTitle($intervalInfo["module_name_sid"]),
                                            );
                } else {
                    $hourData [$i] ["data"] [$j] ["active"] = false;
                }
              }
              if ($hourData [$i] ["active"]) {
                $ssFileName = "data/screenshots.small/{$u['userid']}/" . ($hour * 3600 + $i * 600) . ".jpg";
                if (file_exists ($ssFileName)) {
                  $hourData [$i] ["screenshot"] = $ssFileName;
                  $hourData [$i] ["screenshot_big"] = str_replace (".small/", ".big/", $ssFileName);
                }
              }
            }
            if ($activeHour) {
                $infoLines [$hour] = array ("day" => date ("d/m", $hour * 3600),
                                   "timestamp" => date ("H", $hour * 3600),
                                 "active" => true,
                                   "data" => $hourData,
                                  );
            }
          }
          $users [$k] ["scr_intervals"] = $infoLines;
        }
      }
    }
  }
  $smarty->assign ("users", $users);
  if ($show == "overview" || $export) {
    $smarty->assign ("dates", $dates);
    $smarty->assign ("all_sum", $allSum);
    $smarty->assign ("all_dollarzz", $allDollarzz);
  }

  if ($show == "details" || $show == "export" || $export) {
    // selected levels
    $showSelects = array ();
    if(isset($_REQUEST ["show_selects"])) {
      $selectedLevels = $_REQUEST ["show_selects"];
    } else {
      $selectedLevels = array("Product", "Component", "Bug", "");
    }

    for ($level=0; $level<4; $level++) {
      $showSelects[] = 
        array ("items" => array ("None", "Product", "Component", "Bug", "User"),
             "selected" => $selectedLevels [$level]);
    }
    $smarty->assign ("show_selects", $showSelects);

    if($show == "details" || $export) {
      $details = detalizeReport (0, "All", $selectedLevels, " wh>=$timeFrom and wh<$timeTo ");
      $smarty->assign ("details", $details);
    }
  }

  if ($show == "titles" || $export) {
    $titleFields = array ("ip" => "IP", 
                   "module_name_sid" => "Module Name", 
                   "window_title_sid" => "Window Title", 
                   "memo_sid" => "Memo");
    $titles = array ();
    foreach ($titleFields as $f => $titleName) {
      if (strstr($f, "_sid")) {
            $q = "select worktime_string.str as title, count(*) as n from worktime_record, worktime_string where wh>=$timeFrom and wh<$timeTo and $whereBugs userid in (".join(",", $selectedUsers).") and worktime_string.id=$f group by $f order by n desc limit 100";
      } else {
            $q = "select $f as title, count(*) as n from worktime_record where wh>=$timeFrom and wh<$timeTo and $whereBugs userid in (".join(",", $selectedUsers).") group by $f order by n desc limit 100";
      }
          $rs = $db->sql_query ($q);
          $r = $db->sql_fetchrowset ($rs);  
          $db->sql_freeresult ($rs);

      $anTitle = array ();
      foreach ($r as $i) {
        $anTitle [] = array (
          "title" => $i ["title"],
          "time" => $i ["n"] * $mainConfig ["data_interval"] / 3600,
          "time_h" => $i ["n"] * $mainConfig ["data_interval"] / 3600,
          );
      }
      $titles[$titleName] = $anTitle;
    }
    $smarty->assign ("titles", $titles);
  }

   $smarty->display ("report.tpl");

  function getTitle($id) {
    global $db;

    $q = "select str from worktime_string where id=$id";
    $rs = $db->sql_query ($q);
    $r = $db->sql_fetchrow($rs);
    $db->sql_freeresult ($rs);
    return $r[0];
  }

  function getBugInfo($bug_id) {
    global $bugs;
    for($i = 0; $i < count($bugs); $i++) {
      $bug = $bugs[$i];
      if($bug["bug_id"] == $bug_id) return $bug;
    }

    return false;
  }

  function formDateArray ($t, $prefix = "") {
    $ar = explode (":", date ("H:i:s:d:m:Y", $t));
    $r = array ();
     $r [] = $prefix."hour=". $ar[0];
     $r [] = $prefix."min=". $ar[1];
     $r [] = $prefix."day=". $ar[3];
     $r [] = $prefix."month=". $ar[4];
     $r [] = $prefix."year=". $ar[5];
    return $r;
  }

  function getZp ($userid, $wh) {
    global $dollarzz;
    $r = 0;
    $dmin = 1024*1024*1024;
    foreach ($dollarzz as $d) {
      $dt = $wh - $d ["wh"];
      if ($userid == $d ["userid"] and $dt >= 0 && $dt < $dmin) {
        $r = $d ["amount"];
        $dmin = $dt;
      }
    }
    return $r;
  }

  function detalizeReport ($level, $title, $levels, $whereFilter="", $bugList=null) {
    global $db;
    if ($level == 4 || (is_array ($bugList) && count ($bugList) == 0)) {
      $details = array ("level" => $level,
                  "title" => $title,
                    "sum" => 0,
                  "dollarzz" => 0,
                  );
      if (is_array ($bugList) || count ($bugList) > 0) {
        if (is_array ($bugList) && count ($bugList) > 0) {
          $whereFilter .= " and bug_id in (".join(",", $bugList).")";
        }
          $q = "select wh, userid from worktime_record where $whereFilter";
          $rs = $db->sql_query ($q);
          $r = $db->sql_fetchrowset ($rs);
          $db->sql_freeresult ($rs);
        $details = array ("level" => $level,
                    "title" => $title,
                      "sum" => 0,
                    "dollarzz" => 0,
                    );
        if (is_array ($r)) {
          foreach ($r as $i) {
            $details ["sum"] += 1/60;
            $details ["dollarzz"] += getZp ($i ["userid"], $i ["wh"]) / 60;
          }
        }
      }
      return array ($details);
    }
    if ($levels[$level] == "None") {
      return detalizeReport ($level + 1, $title, $levels, $whereFilter, $bugList);
    } else {
      $thisDetail = array ("level" => $level,
                    "title" => $title,
                    "sum" => 0,
                    "dollarzz" => 0,
                    );
      $subDetails = array ();
      global $products, $components, $bugs, $users;
      switch ($levels[$level]) {
        case 'Product' : $srcArray = $products; break;
        case 'Component' : $srcArray = $components; break;
        case 'Bug' : $srcArray = $bugs; break;
        case 'User' : $srcArray = $users; break;
      }
      if (count($srcArray) > 0) {
        foreach ($srcArray as $i) {
          if ($i["selected"]) {
            $localBugs = $bugList;
            $localWhere = $whereFilter;
              switch ($levels[$level]) {
                case 'Product' :
                case 'Component' : 
                $localBugs = bugIntersect ($bugList, $i ["bugs"]);
                $localTitle = $i ["title"];
                break;
                case 'Bug' :
                $localBugs = bugIntersect ($bugList, array ($i["bug_id"]));
                $localTitle = $i ["short_desc"];
                break;
                case 'User' : 
                $localWhere .= " and userid={$i['userid']} "; 
                $localTitle = $i ["realname"];
                break;
              }
            $localDetails = detalizeReport ($level+1, $localTitle, $levels, $localWhere, $localBugs);
            if ($localDetails [0] ["sum"] > 0) {
              $thisDetail ["sum"] += $localDetails [0] ["sum"];
              $thisDetail ["dollarzz"] += $localDetails [0] ["dollarzz"];
              $subDetails = array_merge ($subDetails, $localDetails);
            }
          } 
        }
      }
      return array_merge (array ($thisDetail), $subDetails);
    }
  }

  function bugIntersect ($bugList, $inter) {
    if (!is_array($bugList)) {
      return $inter;
    } else {
      return array_intersect ($bugList, $inter);
    }
  }
?>